summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormehani2007-03-22 16:45:12 +0000
committermehani2007-03-22 16:45:12 +0000
commit9a1ca669bd12899ae0360859fdf2239f3757f309 (patch)
tree710d3b81e51ad15ec815c47af27752f2ede95080
downloadaur-9a1ca669bd12899ae0360859fdf2239f3757f309.tar.gz
Working.
git-svn-id: svn+ssh://scm.narf.ssji.net/svn/archlinux-packages@52 df209809-8e4a-0410-9a64-c169741eb0fc
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD17
2 files changed, 30 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4ee0a991d72
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = ipkg
+ pkgdesc = The Itsy Package Management System
+ pkgver = 0.99.163
+ pkgrel = 2
+ url = http://handhelds.org/moin/moin.cgi/Ipkg
+ arch = i686
+ arch = x86_64
+ license = GPL
+ source = http://www.handhelds.org/download/packages/ipkg/ipkg-0.99.163.tar.gz
+ md5sums = 0b10ad2924611bccaea8ddf98481a192
+
+pkgname = ipkg
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d8f369de811
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,17 @@
+# Contributor: Olivier Mehani <olivier.mehani@inria.fr>
+# $Id$
+
+pkgname=ipkg
+pkgver=0.99.163
+pkgrel=1
+pkgdesc="The Itsy Package Management System"
+url="http://handhelds.org/moin/moin.cgi/Ipkg"
+source=(http://www.handhelds.org/download/packages/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('0b10ad2924611bccaea8ddf98481a192')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr || exit 1
+ make || exit 2
+ make DESTDIR=$startdir/pkg install || return 3
+}